$(document).ready(function() {



	// Scroll on div
	( function() {

		var $root = $('html, body');
		$('#menu ul li a[href^="#"]').click(function () {
		    $root.animate({
		        scrollTop: $( $.attr(this, 'href') ).offset().top
		    }, 1000);

		    return false;
		});


		$('#menu ul li:first-child >a').addClass('active');

		$(window).scroll(function() {
		    var position = $(this).scrollTop();

		    $('section').each(function() {
		        var target = $(this).offset().top - 10;
		        var id = $(this).attr('id');

		        if (position >= target) {
		            $('#menu ul li > a').removeClass('active');
		            $('#menu ul li > a[href="#' + id + '"]').addClass('active');
		        }
		    });

		});

	})();

});
